रिपोर्ट स्नैपशॉट सहेजें

किसी विशिष्ट अवधि के दौरान किसी सुविधा के परिचालन और वित्तीय मेट्रिक्स सबमिट करता है।

पैरामीटर

  • snapshots array आवश्यक

    सहेजे जाने वाले रिपोर्ट स्नैपशॉट ऑब्जेक्ट का ऐरे। प्रति अनुरोध अधिकतम 25 आइटम। हर आइटम में या तो facility_id (यदि linking_identifier का उपयोग नहीं कर रहे हैं तो आवश्यक) या linking_identifier (यदि facility_id का उपयोग नहीं कर रहे हैं तो आवश्यक) शामिल होना चाहिए।

रिटर्न

सिंक ऑपरेशन की पुष्टि करने वाला एक सरल संदेश लौटाता है।

अनुरोध

curl -X POST https://partner-api.performancehub.co/partner/v1/report-snapshots \
  -u sk_live_YOUR_PARTNER_SECRET_KEY: \
  -H "Content-Type: application/json" \
  -d '{
    "snapshots": [
      {
        "facility_id": "550e8400-e29b-41d4-a716-446655440000",
        // "linking_identifier": "branch_downtown",  // If using linking identifier
        "start_date": "2025-01-01",
        "end_date": "2025-01-31",
        "metrics": {
          "members": {
            "active": 1200,
            "new": 45,
            "cancelled": 12
          },
          "revenue": {
            "total_payments": 289000.00,
            "currency": "AUD"
          }
        }
      }
    ]
  }'

रिस्पॉन्स

{
  "message": "Report snapshot sync successful."
}